<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Pages extends CI_Controller {
	function __construct() {
	parent::__construct();
	$this->load->model('view_data');
	}
	
	public function index()
	{
		$data['gallery'] = $this->view_data->getgallery(); 
		$data['gallery_random'] = $this->view_data->getgallery_random(); 
		$data['address'] = $this->view_data->getcompany_profile(); 
		$data['slider'] = $this->view_data->getslider();
		$data['products'] = $this->view_data->getproduct(); 
		$data['images']=$this->view_data->getproduct_images();
		$this->load->view('Frontend/index', $data);
	}
	public function about()
	{
		$data['address'] = $this->view_data->getcompany_profile(); 
		$data['gallery'] = $this->view_data->getgallery(); 
		$data['products'] = $this->view_data->getproduct(); 
		$data['about_us'] = $this->view_data->getabout_us();
		$this->load->view('Frontend/about', $data);
	}
	public function technology()
	{
		$data['address'] = $this->view_data->getcompany_profile(); 
		$data['gallery'] = $this->view_data->getgallery(); 
		$data['products'] = $this->view_data->getproduct(); 
		$data['tech'] = $this->view_data->gettech();
		$this->load->view('Frontend/technology', $data);
	}
	public function services_amc()
	{
		$data['address'] = $this->view_data->getcompany_profile(); 
		$data['gallery'] = $this->view_data->getgallery(); 
		$data['products'] = $this->view_data->getproduct(); 
		$data['services'] = $this->view_data->getservices_amc();
		$this->load->view('Frontend/services_amc', $data);
	}
	public function products($p_id)
	{
		$data['address'] = $this->view_data->getcompany_profile(); 
		$data['gallery'] = $this->view_data->getgallery(); 
		$data['products'] = $this->view_data->getproduct(); 
		$data['product'] =$this->view_data->getproduct_id($p_id);
		$data['sub_products'] =$this->view_data->getsub_product($p_id);
		$this->load->view('Frontend/products', $data);
	}
	public function gallery()
	{
		$data['address'] = $this->view_data->getcompany_profile(); 		
		$data['gallery'] = $this->view_data->getgallery(); 
		$data['products'] = $this->view_data->getproduct();
		$this->load->view('Frontend/gallery', $data);
	}
	public function send_contact()
	{
	 $this->load->view('Frontend/send-contact');
	}
	public function contact()
	{
		$data['address'] = $this->view_data->getcompany_profile(); 
		$data['gallery'] = $this->view_data->getgallery(); 
		$data['products'] = $this->view_data->getproduct();
		$this->load->view('Frontend/contact', $data);
	}
}